aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-java/netcdf/ChangeLog10
-rw-r--r--dev-java/netcdf/Manifest1
-rw-r--r--dev-java/netcdf/metadata.xml9
-rw-r--r--dev-java/netcdf/netcdf-4.2.ebuild72
4 files changed, 92 insertions, 0 deletions
diff --git a/dev-java/netcdf/ChangeLog b/dev-java/netcdf/ChangeLog
new file mode 100644
index 000000000..ce027a2a7
--- /dev/null
+++ b/dev-java/netcdf/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for dev-java/netcdf
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*netcdf-4.2 (14 May 2012)
+
+ 14 May 2012; S├ębastien Fabbro <bicatali@gentoo.org> +netcdf-4.2.ebuild,
+ +metadata.xml:
+ import to the science overlay and bump
+
diff --git a/dev-java/netcdf/Manifest b/dev-java/netcdf/Manifest
new file mode 100644
index 000000000..31af092c4
--- /dev/null
+++ b/dev-java/netcdf/Manifest
@@ -0,0 +1 @@
+DIST ncSrc-4.2.zip 59857406 SHA256 1160c8e59efb9341e6b3ffa0988df45bd5df86de69a28821afe7a70c5be318f2 SHA512 9d6d165e0db784196238b4e599805c17618d02e952a4cf12e5f692de6ec135161367083d336e688a5f269af5f592103bd812a50fe617a5f722ed7cd6ec2f8097 WHIRLPOOL 067192ac3f435591b8d6f2d30ad6133f540656b6dae6e096c617c7134ca24186648848e57190210cdfac5f218a3aa3f05eb09086050986992c7bc3b6deb7bbc1
diff --git a/dev-java/netcdf/metadata.xml b/dev-java/netcdf/metadata.xml
new file mode 100644
index 000000000..0f61886d7
--- /dev/null
+++ b/dev-java/netcdf/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<longdescription lang='en'>
+ The NetCDF-Java Library is a Java interface to NetCDF files,
+ as well as to many other types of scientific data formats.
+</longdescription>
+</pkgmetadata>
diff --git a/dev-java/netcdf/netcdf-4.2.ebuild b/dev-java/netcdf/netcdf-4.2.ebuild
new file mode 100644
index 000000000..a08a9fd12
--- /dev/null
+++ b/dev-java/netcdf/netcdf-4.2.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+JAVA_PKG_IUSE="doc examples source test"
+inherit eutils java-pkg-2 java-ant-2
+
+DESCRIPTION="Java Common Data Model (CDM) interface to to netCDF files"
+HOMEPAGE="http://www.unidata.ucar.edu/software/netcdf-java/"
+SRC_URI="ftp://ftp.unidata.ucar.edu/pub/${PN}-java/v${PV}/ncSrc-${PV}.zip"
+
+LICENSE="LGPL-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+CDEPEND="dev-java/commons-codec
+ dev-java/commons-httpclient
+ dev-java/commons-logging
+ dev-java/ehcache
+ dev-java/jcommon
+ dev-java/jdom
+ dev-java/jfreechart
+ dev-java/jgoodies-forms
+ dev-java/joda-time
+ dev-java/log4j
+ dev-java/slf4j-api
+ dev-libs/protobuf[java]"
+
+RDEPEND="${CDEPEND}
+ >=virtual/jre-1.5"
+
+DEPEND="${CDEPEND}
+ >=virtual/jdk-1.5
+ test? (
+ dev-java/ant-junit4
+ dev-java/hamcrest-core )"
+
+# There is a from-source maven package in java-overlay, but it hasn't
+# been merged into the Portage trunk yet.
+
+S="${WORKDIR}"
+
+src_prepare() {
+ java-pkg_jar-from --into lib/external commons-codec commons-codec.jar
+ java-pkg_jar-from --into lib/external commons-httpclient-3 commons-httpclient.jar
+ java-pkg_jar-from --into lib/external commons-logging commons-logging.jar
+ java-pkg_jar-from --into lib/external ehcache-1.2 ehcache.jar
+ java-pkg_jar-from --into lib/external jcommon-1.0 jcommon.jar
+ rm -f lib/external/jdom.jar || die
+ java-pkg_jar-from --into lib/external jdom-1.0 jdom.jar
+ java-pkg_jar-from --into lib/external jfreechart-1.0 jfreechart.jar
+ java-pkg_jar-from --into lib/external jgoodies-forms forms.jar jgoodies-forms.jar
+ java-pkg_jar-from --into lib/external joda-time joda-time.jar
+ java-pkg_jar-from --into lib/external junit-4 junit.jar
+ java-pkg_jar-from --into lib/external log4j log4j.jar
+ java-pkg_jar-from --into lib/external protobuf protobuf.jar
+ java-pkg_jar-from --into lib/external slf4j-api slf4j-api.jar
+}
+
+src_compile() {
+ cd "${S}"/cdm && eant
+ use doc && eant javadoc
+}
+
+src_install() {
+ java-pkg_newjar cdm/target/${P}.jar ${PN}.jar
+ use doc && java-pkg_dojavadoc cdm/target/javadoc
+ use source && java-pkg_dosrc cdm/src/main/java/*
+ use examples && java-pkg_doexamples cdm/src/test/java/examples
+}